kernel/kernel/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
from django.conf.urls.i18n import i18n_patterns

urlpatterns = [
    path('admin/', admin.site.urls),
    path('i18n/', include('django.conf.urls.i18n')),
    path('accounts/', include('accounts.urls')),
    path('accounts/', include('django.contrib.auth.urls')),
    path('panel/', include('panel.urls')),
    path('auth/', include('django.contrib.auth.urls')),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += i18n_patterns(
    path('', include('website.urls')),
)

kernel/panel/urls.py
from django.urls import path, re_path
from django.urls import reverse_lazy, reverse

from . import views

app_name = 'panel'
urlpatterns = [
    re_path(r'^$', views.PanelView.as_view(), name='index'),
]


# re_path(r'^registration/$', views.UserFormView.as_view(), name='registration')

kernel/website/urls.py
from django.urls import path, re_path

from .views import HomeView
from .views import AboutView
from .views import ContactView
from .views import ProductView
from .views import ProductDetailView
from .views import SlovakiProductDetailView
from .views import BlogView
from .views import BlogDetailView
from .views import SlovakiBlogDetailView
from .views import AwardsView


app_name = 'website'
urlpatterns = [
    re_path(r'^$', HomeView.as_view(), name='home'),
    # re_path(r'^/$', HomeView.as_view(), name='home'),
    # re_path(r'^home/$', HomeView.as_view(), name='home'),
    # re_path(r'^index/$', HomeView.as_view(), name='home'),
    re_path(r'^about/$', AboutView.as_view(), name='about'),
    re_path(r'^contact/$', ContactView.as_view(), name='contact'),
    re_path(r'^awards/$', AwardsView.as_view(), name='awards'),
    re_path(r'^products/$', ProductView.as_view(), name='products'),
    re_path(r'^product/(?P<sku>[A-Za-z0-9\-\_]+)/(?P<pk>\d+)$', ProductDetailView.as_view(), name='product'),
    re_path(r'^product/(?P<sku>[A-Za-z0-9\-\_]+)/sk/(?P<pk>\d+)$', SlovakiProductDetailView.as_view(), name='slovakiproduct'),
    re_path(r'^news/$', BlogView.as_view(), name='news'),
    re_path(r'^news/(?P<sku>[A-Za-z0-9\-\_]+)/(?P<pk>\d+)$', BlogDetailView.as_view(), name='post'),
    re_path(r'^news/(?P<sku>[A-Za-z0-9\-\_]+)/sk/(?P<pk>\d+)$', SlovakiBlogDetailView.as_view(), name='slovakipost'),
    
]

kernel/product/models.py
from django.db import models

import secrets

from accounts.models import User
from painless import functions as func


##############################
#######      Product      #######
##############################
class ProductTags(models.Model):
    tag_name = models.CharField(max_length = 128)


    def __str__(self):
        return self.tag_name

    class Meta:
        ordering = ('tag_name',)
        verbose_name = 'Product Tag'
        verbose_name_plural = 'Product Tags'


class ProductPhotos(models.Model):
    sku = models.CharField(max_length = 15, default = secrets.token_urlsafe(8), help_text = 'Unique code for refrence to supervisors' )
    photo_name = models.CharField(max_length = 128)
    pic = models.ImageField(upload_to = func.upload_location, null = True, blank = True)

    def __str__(self):
        return self.photo_name
    
    
    class Meta:
        verbose_name = 'Product Photo'
        verbose_name_plural = 'Product Photos'


class ProductMovies(models.Model):
    sku = models.CharField(max_length = 15, default = secrets.token_urlsafe(8), help_text = 'Unique code for refrence to supervisors' )
    movie_name = models.CharField(max_length = 128)
    movie = models.FileField(upload_to=func.upload_movie_location, null = True, blank = True)

    def __str__(self):
        return self.movie_name


    class Meta:
        verbose_name = 'Product Movie'
        verbose_name_plural = 'Product Movies'


class ProductGroup(models.Model):
    group_name = models.CharField(max_length = 128)

    def __str__(self):
        return self.group_name


    class Meta:
        verbose_name = 'Product Group'
        verbose_name_plural = 'Product Groups'


class Product(models.Model):
    sku = models.CharField(max_length = 15, default = secrets.token_urlsafe(8), help_text = 'Unique code for refrence to supervisors' )
    title = models.CharField(max_length = 128)
    summary = models.CharField(max_length = 2048, help_text = 'Max Length of this field is 2048 characters.')
    description = models.TextField()
    tags = models.ManyToManyField(ProductTags)
    photos = models.ManyToManyField(ProductPhotos)
    movies = models.ManyToManyField(ProductMovies)
    groups = models.ManyToManyField(ProductGroup)
    submit_date = models.DateTimeField(auto_now_add = True)

    verbose_name = 'Product'
    verbose_name_plural = 'Product'

    def __str__(self):
        return self.title
    

    class Meta:
        ordering = ('-submit_date', 'title',)
        verbose_name = 'Product'
        verbose_name_plural = 'Product'

kernel/website/models.py
from django.db import models
from painless import functions as func
import secrets

# Create your models here.
class WebsiteContent(models.Model):
    about = models.TextField()

    # Advertisement
    title1 = models.CharField(max_length = 16)
    title2 = models.CharField(max_length = 16)
    description1 = models.TextField()
    description2 = models.TextField()

    # Feature
    quality1 = models.CharField(max_length = 128)
    quality2 = models.CharField(max_length = 128)
    quality3 = models.CharField(max_length = 128)
    summary_feature = models.TextField()
    description_feature = models.TextField()

    def __str__(self):
        return 'website content'


class AwardsContent(models.Model):
    sku = models.CharField(max_length = 15, default = secrets.token_urlsafe(8), help_text = 'Unique code for refrence to supervisors' )
    name = models.CharField(max_length = 128)
    pic = models.ImageField(upload_to = func.upload_location, null = True, blank = True)
    submit_date = models.DateTimeField(null = True)

kernel/product/views.py
from django.shortcuts import render

# Create your views here.

kernel/website/views.py
from django.shortcuts import render
from django.views.generic import TemplateView, ListView, DetailView


from product.models import Product

from blog.models import News
from slovaki.models import SlovakiWebsiteContent
from slovaki.models import SlovakiAwardsContent
from slovaki.models import SlovakiNews
from slovaki.models import SlovakiProduct

from .models import WebsiteContent
from .models import AwardsContent

# Create your views here.


class HomeView(ListView):
    template_name = "website/index.html"
    model = WebsiteContent
    context_object_name = 'websitecontent_list'
    #additional information
    title = 'خانه'

    def get_context_data(self, **kwargs):
        context = super(HomeView, self).get_context_data(**kwargs)
        context['slovaki_website_content'] = SlovakiWebsiteContent.objects.all()
        context['slovaki_awards'] = SlovakiAwardsContent.objects.all()
        context['awards'] = AwardsContent.objects.all()
        context['products'] = Product.objects.all()
        context['slovaki_products'] = SlovakiProduct.objects.all()
        context['news'] = News.objects.all()
        context['slovaki_news'] = SlovakiNews.objects.all()
        return context


class AboutView(ListView):
    template_name = 'website/about.html'
    model = WebsiteContent
    context_object_name = 'websitecontent_list'

    def get_context_data(self, **kwargs):
        context = super(AboutView, self).get_context_data(**kwargs)
        context['slovaki_website_content'] = SlovakiWebsiteContent.objects.all()
        context['slovaki_awards'] = SlovakiAwardsContent.objects.all()
        context['awards'] = AwardsContent.objects.all()
        context['products'] = Product.objects.all()
        context['slovaki_products'] = SlovakiProduct.objects.all()
        context['news'] = News.objects.all()
        context['slovaki_news'] = SlovakiNews.objects.all()
        return context


class ContactView(ListView):
    template_name = 'website/contact.html'

    #additional information
    title = 'تماس با ما'
    model = WebsiteContent
    def get_context_data(self, **kwargs):
        context = super(ContactView, self).get_context_data(**kwargs)
        context['slovaki_website_content'] = SlovakiWebsiteContent.objects.all()
        context['slovaki_awards'] = SlovakiAwardsContent.objects.all()
        context['awards'] = AwardsContent.objects.all()
        context['products'] = Product.objects.all()
        context['slovaki_products'] = SlovakiProduct.objects.all()
        context['news'] = News.objects.all()
        context['slovaki_news'] = SlovakiNews.objects.all()
        return context

class AwardsView(ListView):
    template_name = 'website/awards.html'
    model = AwardsContent
    context_object_name = 'awards'

    def get_context_data(self, **kwargs):
        context = super(AwardsView, self).get_context_data(**kwargs)
        context['slovaki_awards'] = SlovakiAwardsContent.objects.all()
        context['products'] = Product.objects.all()
        context['slovaki_products'] = SlovakiProduct.objects.all()
        context['news'] = News.objects.all()
        context['slovaki_news'] = SlovakiNews.objects.all()
        return context
    

class BlogView(ListView):
    template_name = 'website/posts.html'
    model = News
    context_object_name = 'news_list'

    def get_context_data(self, **kwargs):
        context = super(BlogView, self).get_context_data(**kwargs)
        context['slovaki_awards'] = SlovakiAwardsContent.objects.all()
        context['products'] = Product.objects.all()
        context['slovaki_products'] = SlovakiProduct.objects.all()
        context['news'] = News.objects.all()
        context['slovaki_news'] = SlovakiNews.objects.all()
        return context



class BlogDetailView(DetailView):
    template_name = 'website/post.html'
    model = News
    context_object_name = 'post'


class SlovakiBlogDetailView(DetailView):
    template_name = 'website/post.html'
    model = SlovakiNews
    context_object_name = 'post'


class ProductView(ListView):
    template_name = 'website/products.html'
    model = Product
    context_object_name = 'product_list'

    def get_context_data(self, **kwargs):
        context = super(ProductView, self).get_context_data(**kwargs)
        context['slovaki_awards'] = SlovakiAwardsContent.objects.all()
        context['awards'] = AwardsContent.objects.all()
        context['products'] = Product.objects.all()
        context['slovaki_products'] = SlovakiProduct.objects.all()
        context['news'] = News.objects.all()
        context['slovaki_news'] = SlovakiNews.objects.all()
        
        return context


class ProductDetailView(DetailView):
    template_name = 'website/product.html'
    model = Product
    context_object_name = 'product'
    #additional information
    title = 'لیست محصولات'


class SlovakiProductDetailView(DetailView):
    template_name = 'website/product.html'
    model = SlovakiProduct
    context_object_name = 'product'
    #additional information
    title = 'لیست محصولات'

kernel/media/templates/website/about.html
{% extends "shared/site.html" %} 
{% block title %} Home {% endblock %} 
{% load i18n %}
{% load static %}


{% block body %}
{% get_current_language as LANGUAGE_CODE %}
<main>
    <section id="about">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    {% if LANGUAGE_CODE == 'sk' %}
                        {% for scms in slovaki_website_content %}
                            <div class="col-md-2 col-md-push-5 col-md-pull-5">
                                <img class="mb-20" src="{% static 'site/images/logo.png' %}"/>
                            </div>
                            <div class="clearfix"></div>
                            <p style="font-size: 20px;">{{ scms.about }}</p>
                        {% endfor %}
                    {% else %}
                        {% for cms in websitecontent_list %}
                            <div class="col-md-2 col-md-push-5 col-md-pull-5">
                                <img class="mb-20" src="{% static 'site/images/logo.png' %}"/>
                            </div>
                            <div class="clearfix"></div>
                            <p style="font-size: 20px;">{{ cms.about }}</p>
                        {% endfor %}
                    {% endif %}
                </div>
            </div>
        </div>
    </section>
    <article id="contact-us">
        <div class="container">
            <div class="text-center">
                <h3>Contact</h3>
                <p style="font-family: 'Source Sans Pro', sans-serif;">we always ready for answer to your powerful questions.</p>
                <p style="font-family: 'Source Sans Pro', sans-serif;">we always ready for answer to your powerful questions. lorem ipsum dolor</p>
                <a class="btn btn-primary" href="{% url 'website:contact' %}">Contact</a>
            </div>
        </div>
    </article>
</main>
{% endblock %}

kernel/media/templates/website/awards.html
{% extends "shared/site.html" %} 
{% block title %} Home {% endblock %} 
{% load i18n %}
{% load static %}


{% block body %}
{% get_current_language as LANGUAGE_CODE %}
<main class="p60">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title">
                            <i class="fa fa-award"></i>{% trans 'Company Awards' %}</h3>
                    </div>
                    <div class="panel-body">
                        <div class="col-md-4">
                            <div class="cycle-slideshow" data-cycle-fx=scrollHorz data-cycle-timeout=2000 data-cycle-pager=".cycle-pager" data-cycle-slides=".slide">
                                {% if LANGUAGE_CODE == 'sk' %}
                                    {% for award in slovaki_awards %}
                                        <img class="slide" src="{{ award.pic.url }}" class="img-responsive"/>    
                                    {% endfor %}
                                {% else %}
                                    {% for award in awards %}
                                        <img class="slide" src="{{ award.pic.url }}" class="img-responsive"/>    
                                    {% endfor %}
                                {% endif %}
                            </div>
                        </div>
                        <div class="col-md-8">
                            <p>{% trans "BehPack's International Awards and Prizes" %}</p>
                            <div class="cycle-slideshow" data-cycle-fx="fade" data-cycle-timeout=2000 data-cycle-slides=".text-slide">
                                {% if LANGUAGE_CODE == 'sk' %}
                                    {% for award in slovaki_awards %}
                                    <div class="text-slide">
                                        <ul>
                                            <li>{% trans 'name' %}: {{ award.name }}</li>
                                            <li>{% trans 'date' %}: {{ award.submit_date|date:"Y-m-d" }}</li>
                                        </ul>
                                    </div>
                                    {% endfor %}
                                {% else %}
                                    {% for award in awards %}
                                    <div class="text-slide">
                                        <ul>
                                            <li>{% trans 'name' %}: {{ award.name }}</li>
                                            <li>{% trans 'date' %}: {{ award.submit_date|date:"Y-m-d" }}</li>
                                        </ul>
                                    </div>
                                    {% endfor %}
                                {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
</main>
{% endblock %}

kernel/media/templates/website/contact.html
{% extends "shared/site.html" %} 
{% block title %} Home {% endblock %} 
{% load i18n %}

{% block body %}
<main>
    <section id="contact">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <form action="/home/contact" method="POST" class="form-inline text-center">
                        <input id="csrf_token" name="csrf_token" type="hidden" value="IjI5OWQ1ZGUyODM4ODBiOGZhM2MyMWViMzBjMTg1OGRmNDUzZTNiOTYi.DVDeig.9NjooWcN4vcKwjgSOhB_ZJisgxQ">
                        <div class="row">
                            <div class="form-group text-right input-group-lg">
                                <input autofocus="autofocus" class="form-control" id="name" name="name" placeholder="Name" required="required" type="text" value="">
                                <input class="form-control" id="company" name="company" placeholder="Company name" required="required" type="text" value="">
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group text-right input-group-lg">
                                    <input autofocus="autofocus" class="form-control" id="email" name="email" placeholder="Email" required="required" type="text" value="">
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group">
                                <textarea class="form-control" cols="69" id="message" name="message" placeholder="Type a message" required="required" rows="8"></textarea>
                            </div>
                        </div>
                        <input class="btn btn-primary" id="submit" name="submit" type="submit" value="Send Message">
                    </form>
                </div>
                <div class="col-md-6">
                    <div class="line-horizontal">
                        <ul class="list-unstyled mt-60 ml-20">
                            <li><p><i class="fa fa-phone"></i> {% trans 'Phone number' %}: 0098 1152332683</p></li>
                            <li><p><i class="fa fa-phone"></i> {% trans 'phone number' %}: 0098 1152332684</p></li>
                            <li><p><i class="fa fa-support"></i> {% trans 'Technical support' %}: 0098 9121025215</p></li>
                            <li><p><i class="fa fa-envelope-square"></i> {% trans 'Fax number' %}: 0098 1152352211</p></li>
                            <li><p><i class="fa fa-envelope"></i> {% trans 'Mail' %}: info@behpack.com</p></li>
                            <li><p style="color: #f1c40f;"><i class="fa fa-globe"></i> {% trans 'International inquery' %}: 0098 9117907180</p></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <article id="relatedProducts">
        <div class="container">
            <h3 class="text-center">related products</h3>
            <div class="row">
            </div>
        </div>
    </article>
</main>
{% endblock %}

kernel/media/templates/website/post.html
{% extends "shared/site.html" %} 
{% block title %} Home {% endblock %} 
{% load i18n %}
{% load static %}


{% block body %}
{% get_current_language as LANGUAGE_CODE %}
{% if LANGUAGE_CODE == 'sk' %}
<main style="margin-top:30px;">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <h1>{{ post.name }}</h1>
                        {% for photo in post.photos.all %}
                            <img class="img-responsive" src="{{ photo.pic.url }}" alt="">
                        {% endfor %}
                        <br />
                        <p class="text-justify">
                            {{ post.description }}
                        </p>
                        <h4><b>Tags:</b></h4>
                        {% for tag in post.tags.all %}
                            <li>{{ tag.tag_name }}</li>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
{% else %}
<main style="margin-top:30px;">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <h1>{{ post.name }}</h1>
                        {% for photo in post.photos.all %}
                            <img class="img-responsive" src="{{ photo.pic.url }}" alt="">
                        {% endfor %}
                        <br />
                        <p class="text-justify">
                            {{ post.description }}
                        </p>
                        <h4><b>Tags:</b></h4>
                        {% for tag in post.tags.all %}
                            <li>{{ tag.tag_name }}</li>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
{% endif %}
    {% endblock %}

kernel/media/templates/website/posts.html
{% extends "shared/site.html" %} 
{% block title %} Home {% endblock %} 
{% load i18n %}
{% load static %}


{% block body %}
{% get_current_language as LANGUAGE_CODE %}

<main>
    <section id="articles">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    {% if LANGUAGE_CODE == 'sk' %}
                        {% for post in slovaki_news %}
                        <article>
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h3 class="panel-title">{{ post.title }}</h3>
                                </div>
                                <div class="panel-body">
                                    <div class="post-banner">
                                        
                                        {% for photo in post.photos.all %}
                                            <img class="img-responsive" src="{{ photo.pic.url }}" alt="">
                                        {% endfor %}
                                        
                                    </div>
                                    <ul class="list-unstyled list-inline">
                                        <li>
                                            <i class="fa fa-calendar"> {{ post.submit_date|date:"Y-m-d" }}</i>
                                        </li>

                                    </ul>
                                    <hr />
                                    <p>{{ post.summary }} </p>
                                    <a href="{% url 'website:slovakipost' post.sku post.id %}" class="btn btn-info">{% trans 'read more' %}</a>
                                </div>
                            </div>
                        </article>
                        {% endfor %}
                    {% else %}
                        {% for post in news_list %}
                        <article>
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h3 class="panel-title">{{ post.title }}</h3>
                                </div>
                                <div class="panel-body">
                                    <div class="post-banner">
                                        
                                            {% for photo in post.photos.all %}
                                                <img class="img-responsive" src="{{ photo.pic.url }}" alt="">
                                            {% endfor %}
                                        
                                    </div>
                                    <ul class="list-unstyled list-inline">
                                        <li>
                                            <i class="fa fa-calendar"> {{ post.submit_date|date:"Y-m-d" }}</i>
                                        </li>

                                    </ul>
                                    <hr />
                                    <p>{{ post.summary }} </p>
                                    <a href="{% url 'website:post' post.sku post.id %}" class="btn btn-info">{% trans 'read more' %}</a>
                                </div>
                            </div>
                        </article>
                        {% endfor %}
                    {% endif %}
                </div>
            </div>
    </section>
</main>
{% endblock %}

kernel/media/templates/website/product.html
{% extends "shared/site.html" %} 
{% block title %} Home {% endblock %} 
{% load i18n %}
{% load static %}


{% block body %}
{% get_current_language as LANGUAGE_CODE %}
{% if product %}
<main>
    <section id="product">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-6">
                    {% for photo in product.photos.all %}
                        <img class="img-responsive" src="{{ photo.pic.url }}" alt="" style="width: 500px; height: 400px;">
                    {% endfor %}
                </div>
                <div class="col-md-6">
                    <h2>Product Description</h2>
                    <div class="col-md-10">
                        <p class="text-justify">
                            {{ product.description }}
                        </p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <h2>{{ product.title }}</h2>
                    <div class="col-md-offset-1 col-md-3">
                        <div class="small-square">

                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="small-square">

                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <h2>Advantages</h2>
                    <ul class="list-unstyled">
                        {% for feature in product.tags.all %}
                            <li>
                                <i class="fa fa-check"></i> {{ feature.tag_name }}
                            </li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            <div class="col-md-12 text-center">
                <video width="500" height="500" controls>
                    {% for video in product.movies.all %}
                        <source src={{ video.movie.url }} type="video/mp4">
                    {% endfor %}
                    <p>Please use chrome browser for watch that video.</p>
                </video>
            </div>
        </div>
    </section>
</main>
<article id="relatedProducts">
    <div class="container">
        <h3 class="text-center">related products</h3>
        <div class="row">
            <div class="col-md-3">
                
            </div>
        </div>
    </div>
</article>
</main>
{% endif %}
{% endblock %}

kernel/media/templates/website/products.html
{% extends "shared/site.html" %} 

{% load i18n %}
{% load static %}

{% block body %}
{% get_current_language as LANGUAGE_CODE %}
{% if LANGUAGE_CODE == 'sk' %}
<main>
    <section style="margin: 40px;">
        <div class="container">
            <div class="row">
                {% for product in slovaki_products %}
                <div class="col-md-3">
                    <div class="thumbnail">
                        {% for photo in product.photos.all %}
                            <img class="img-responsive" src="{{ photo.pic.url }}" alt="" style="width:50%;">
                        {% endfor %}
                        <div class="caption">
                            <h3>{{ product.title }}</h3>
                            <p>{{ product.summary }}</p>
                            <a href="{% url 'website:slovakiproduct' product.sku product.id %}" class="btn btn-info" role="button">Read More</a>
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
    </section>
</main>

{% else %}

<main>
    <section style="margin: 40px;">
        <div class="container">
            <div class="row">
                {% for product in product_list %}
                <div class="col-md-3">
                    <div class="thumbnail">
                        {% for photo in product.photos.all %}
                            <img class="img-responsive" src="{{ photo.pic.url }}" alt="">
                        {% endfor %}
                        <div class="caption">
                            <h3>{{ product.title }}</h3>
                            <p>{{ product.summary }}</p>
                            <a href="{% url 'website:product' product.sku product.id %}" class="btn btn-info" role="button">Read More</a>
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
    </section>
</main>
{% endif %}

{% endblock %}

kernel/media/templates/website/test.html
{% load i18n %}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Page Title</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" media="screen" href="main.css" />
    <script src="main.js"></script>
</head>
<body>
    {% get_current_language as LANGUAGE_CODE %}

    <h1>{% trans 'hello' %}</h1>
    <form action="{% url 'set_language' %}" method="POST">
        {% csrf_token %}
        <input name="next" type="hidden" value="{{ request.get_full_path|slice:'3:' }}" />

            <select  name="language" id="">
                {% get_available_languages as LANGUAGES %}
                {% get_language_info_list for LANGUAGES as langs %}
                {% for language in langs %}
                    <option value="{{ language.code }}" {% if language.code == LANGUAGE_CODE %} selected {% endif %}>
                        {{ language.name_local }} ({{ language.code }})
                    </option>
                {% endfor %}
            </select>
        <input type="submit" value="{% trans 'change language' %}">
    </form>

    <a href="{% url 'website:blog' %}">login</a>
    <a href="{% url 'website:product' %}">login</a>

</body>
</html>